package com.hotent.baseInfo.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.baseInfo.model.CostDocumentTemplate;
import com.hotent.base.manager.BaseManager;
import com.hotent.baseInfo.req.CostDocumentTemplatePageReq;
import com.hotent.baseInfo.req.CostDocumentTemplateReq;

import java.util.List;

/**
 * 监审文书模板表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-17
 */
public interface CostDocumentTemplateManager extends BaseManager<CostDocumentTemplate> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostDocumentTemplate getDetail(String id);


	/**
	 * 获取文号分类
	 * @param type
	 * @return
	 */
	List<CostDocumentTemplate> getWhCateList();

	/**
	 * 获取模板分页列表
	 * @param req
	 * @return
	 */
	IPage<CostDocumentTemplate> getTemplateList(CostDocumentTemplatePageReq req);

	String create(CostDocumentTemplateReq req);


	void updateTemplate(CostDocumentTemplateReq req);

	void deleteByIds(List<String> ids);

	CostDocumentTemplate getByAlias(String sdhz);
}
